curl --request POST \
--url https://api.maketou.net/api/v1/stores/cart/checkout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"productDocumentId": "550e8400-e29b-41d4-a716-446655440000",
"email": "client@example.com",
"firstName": "Jean",
"lastName": "Dupont",
"phone": "+33612345678",
"redirectURL": "https://monsite.com/confirmation",
"meta": {
"userId": "12345",
"source": "website"
}
}
'{
"cart": {
"id": "fd2d91d7-20d2-4b86-b067-d474fb0d1e60",
"createdAt": "2025-11-28T14:27:00.805Z",
"updatedAt": "2025-11-28T14:27:00.805Z",
"status": "waiting_payment",
"customerInfo": {
"firstName": "John",
"lastName": "Doe",
"email": "customer@example.com",
"phone": "+33612345678",
"lang": "fr-FR"
}
},
"redirectUrl": "https://checkout.moneroo.io/py_mj2m7m6gfro8"
}{
"code": "INVALID_PRODUCT",
"message": "The product is not available or does not belong to this store"
}{
"code": "INVALID_API_KEY",
"message": "Invalid or missing API key"
}{
"code": "VALIDATION_ERROR",
"message": "The payload format is invalid"
}{
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry later."
}Créer un panier
Crée un panier pour un produit Maketou et retourne une URL vers laquelle rediriger le client pour payer.
POST
/
api
/
v1
/
stores
/
cart
/
checkout
curl --request POST \
--url https://api.maketou.net/api/v1/stores/cart/checkout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"productDocumentId": "550e8400-e29b-41d4-a716-446655440000",
"email": "client@example.com",
"firstName": "Jean",
"lastName": "Dupont",
"phone": "+33612345678",
"redirectURL": "https://monsite.com/confirmation",
"meta": {
"userId": "12345",
"source": "website"
}
}
'{
"cart": {
"id": "fd2d91d7-20d2-4b86-b067-d474fb0d1e60",
"createdAt": "2025-11-28T14:27:00.805Z",
"updatedAt": "2025-11-28T14:27:00.805Z",
"status": "waiting_payment",
"customerInfo": {
"firstName": "John",
"lastName": "Doe",
"email": "customer@example.com",
"phone": "+33612345678",
"lang": "fr-FR"
}
},
"redirectUrl": "https://checkout.moneroo.io/py_mj2m7m6gfro8"
}{
"code": "INVALID_PRODUCT",
"message": "The product is not available or does not belong to this store"
}{
"code": "INVALID_API_KEY",
"message": "Invalid or missing API key"
}{
"code": "VALIDATION_ERROR",
"message": "The payload format is invalid"
}{
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry later."
}Authorizations
Utilisez votre clé API de Maketou dans le header Authorization.
Body
application/json
Identifiant public du produit.
Example:
"550e8400-e29b-41d4-a716-446655440000"
Adresse email du client.
Example:
"client@example.com"
Prénom du client.
Example:
"Jean"
Nom du client.
Example:
"Dupont"
Numéro de téléphone du client.
Example:
"+33612345678"
URL vers laquelle rediriger le client après paiement.
Example:
"https://monsite.com/confirmation"
Métadonnées personnalisées associées au panier.
Show child attributes
Show child attributes
Example:
{ "userId": "12345", "source": "website" }
Montant choisi par le client pour un produit configuré en prix libre.
Example:
2000

